﻿unit uAbout;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Buttons;

type
  TfrmAbout = class(TForm)
    lblCreator: TLabel;
    lblHomePage: TLabel;
    btnOk: TSpeedButton;
    lblLicense: TLabel;
    lblUserLicense: TLabel;
    lblHomePage2: TLabel;
    lblCreator3: TLabel;
    lblHomePage3: TLabel;
    imgLogo: TImage;
    procedure btnOkClick(Sender: TObject);
    procedure lblHomePageMouseEnter(Sender: TObject);
    procedure lblHomePageMouseLeave(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure lblHomePageClick(Sender: TObject);
    procedure lblUserLicenseClick(Sender: TObject);
    procedure lblHomePage2Click(Sender: TObject);
    procedure FormMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  private
    { Private declarations }
    procedure Go_Homepage(Url : String);
  public
    { Public declarations }
  end;

var
  frmAbout: TfrmAbout;

implementation

uses ShellAPI, uMain;

{$R *.dfm}

procedure TfrmAbout.btnOkClick(Sender: TObject);
begin
  ModalResult := mrOk;
end;

procedure TfrmAbout.lblHomePageMouseEnter(Sender: TObject);
begin
  TLabel(Sender).Font.Style := [fsBold];
end;

procedure TfrmAbout.lblHomePageMouseLeave(Sender: TObject);
begin
  TLabel(Sender).Font.Style := [];
end;

procedure TfrmAbout.lblUserLicenseClick(Sender: TObject);
begin
 Go_Homepage('http://simples.kr/bbs/group.php?gr_id=12#c_spl');
end;

procedure TfrmAbout.FormCreate(Sender: TObject);
begin
  Self.Caption := Self.Caption + ' - ' + IntToStr(UpdateDate);
  lblHomePage.Font.Color := clBlue;
  lblHomePage2.Font.Color := clBlue;
  lblUserLicense.Font.Color := clBlue;

  // 도움 주신분들 나열
  lblHomePage3.Caption := '' +
  'Developer : 박영호(AmesianX)' + #13#10 + #13#10 +
  '                이정구(appleii.tistory.com)' + #13#10 + #13#10 +
  'Designer : 김경필(Younggam.com)';

end;

procedure TfrmAbout.FormMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  ReleaseCapture;
  SendMessage(Handle, WM_NCLBUTTONDOWN, HTCAPTION, 0);
end;

procedure TfrmAbout.Go_Homepage(Url: String);
begin
  ShellExecute(Self.Handle, nil, PChar(Url),
    nil, nil, SW_SHOW);
end;

procedure TfrmAbout.lblHomePage2Click(Sender: TObject);
begin
  Go_Homepage('http://simples.kr');
end;

procedure TfrmAbout.lblHomePageClick(Sender: TObject);
begin
  Go_Homepage('http://openproject.nazzim.net/');
end;

end.
