﻿unit uResizeCanvas;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls;

type
  TfrmResizeCanvas = class(TForm)
    gbxCanvas: TGroupBox;
    lblWidth: TLabel;
    lblHeight: TLabel;
    edtWidth: TEdit;
    udWidth: TUpDown;
    edtHeight: TEdit;
    udHeight: TUpDown;
    btnOK: TButton;
    btnCancel: TButton;
    procedure FormKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure edtWidthKeyPress(Sender: TObject; var Key: Char);
    procedure edtHeightKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmResizeCanvas: TfrmResizeCanvas;

implementation

{$R *.dfm}

procedure TfrmResizeCanvas.FormKeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if Key = VK_RETURN then
    ModalResult := mrOK;
end;

procedure TfrmResizeCanvas.edtWidthKeyPress(Sender: TObject;
  var Key: Char);
begin
  if Key = #13 then
    Key := #0;
end;

procedure TfrmResizeCanvas.edtHeightKeyPress(Sender: TObject;
  var Key: Char);
begin
  if Key = #13 then
    Key := #0;
end;

end.
