#include "WindowsTypes.h"

#define   CR0_WP_MASK     0x0FFFEFFFF

#define SSDT_API_CALL_ENTER(x) (InterlockedIncrement(&x))
#define SSDT_API_CALL_LEAVE(x) (InterlockedDecrement(&x))

typedef struct _SYS_SERVICE_TABLE { 
	void **ServiceTable; 
	unsigned long CounterTable; 
	unsigned long ServiceLimit; 
	PBYTE ArgumentsTable; 
} SYS_SERVICE_TABLE, *PSYS_SERVICE_TABLE;

#pragma push(1)
typedef struct _SCROLL_HOOK_TARGET
{
	HWND hTargetWindow;
	HANDLE hSelfProcess;
	HANDLE hTargetProcess;
} SCROLL_HOOK_TARGET, *PSCROLL_HOOK_TARGET;

typedef struct _SCROLL_DATA
{
	int dy;
	RECT rcScroll;
} SCROLL_DATA, *PSCROLL_DATA;
#pragma push(0)

SYS_SERVICE_TABLE *GetServiceDescriptorShadowTableAddress();
int GetScrollDCIndex(SYS_SERVICE_TABLE *p);