﻿unit uResource;

interface
uses Windows, Classes;

function ExportResourceFile(ExportFileName, ResName, ResType: string): Boolean;

implementation

function ExportResourceFile(ExportFileName, ResName, ResType: string): Boolean;
var
  rStream: TResourceStream;
  fStream: TFileStream;
begin
  Result := True;

  try
    rStream := TResourceStream.Create(HInstance, ResName, PChar(ResType));
    try
      fStream := TFileStream.Create(ExportFileName, fmCreate);
      try
        fStream.CopyFrom(rStream, 0);
      finally
        fStream.Free;
      end;
    finally
      rStream.Free;
    end;
  except
    Result := False;
  end;
end;

end.
