﻿unit ufrmInherited;

interface

 uses Windows , Classes ,Messages , ComCtrls ,Forms , Dialogs;

 type
  TfrmNormal = class(TForm)
  private
  public
   constructor Create(AOwner: TComponent); override;
   destructor Destroy; override;
  end;

implementation

 uses uMain, OpenInterface;

constructor TfrmNormal.Create(AOwner: TComponent);
begin
 inherited;

 { TODO : TfrmNormal 은 TForm 을 상속받는다.
          TfrmAnyAngle 이 TfrmNomral 을 상속받는다.
          TfrmNormal 의 Create 이벤트가 실행 후에
          TfrmAnyAngle 의 Create 이벤트가 실행된다.
          이 떄 TfrmNormal Create 이벤트에서
          Self.Components[0] 와 같이 접근한다면
          TfrmAnyAngle 의 컴포넌트에 접근이 가능하다.
          이 때 Self.Components[0].메소드.. 로 접근하면
          TfrmAnyAngle Create 이벤트 보다
          Self.Components[0].메소드 로 실행시킨 이벤트가
          먼저 실행되버린다..
          TfrmNormal Create 이벤트 실행 후에 TfrmAnyAngle
          이벤트가 실행되는데 TfrmNormal Create 이벤트 안에서
          TfrmAnyAngle 의 컴포넌트 메소드를 실행시켜버렸기
          때문이다. }

 // ** 시스템 폰트 ** //
 Font.Assign(Screen.MenuFont);
 if Self.BorderStyle = bsDialog then
  LoadINI(Self, True, Self.Caption, INIPath);

end;

destructor TfrmNormal.Destroy;
begin
 if Self.BorderStyle = bsDialog then
  SaveINI(Self, True, Self.Caption, INIPath);
  
 inherited;
end;

end.
